## editorconfig-emacs 0.4%2Bgit20151028.3835e4

=== debian/control ===
Source: editorconfig-emacs
Section: editors
Priority: extra
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Thomas Koch <thomas@koch.ro>
Build-Depends: debhelper (>= 9), dh-elpa
Standards-Version: 3.9.6
Homepage: https://github.com/editorconfig/editorconfig-emacs
Vcs-Git: git://anonscm.debian.org/pkg-emacsen/pkg/editorconfig.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-emacsen/pkg/editorconfig.git/

Package: elpa-editorconfig
Architecture: all
Depends: ${misc:Depends}, editorconfig
Recommends: emacsen-common (>= 2.0.8), emacs
Enhances: emacs, emacs24
Description: coding style indenter for all editors - Emacsen plugin
 EditorConfig helps developers define and maintain consistent coding
 styles between different editors and IDEs. The EditorConfig project
 consists of a file format for defining coding styles and a collection of
 text editor plugins that enable editors to read the file format and
 adhere to defined styles.
 .
 EditorConfig files are easily readable and they work nicely with version
 control systems.
 .
 This package provides the EditorConfig plugin for Emacsen which
 automatically sets Emacs' indenting and formatting options per project
 based on the project's editorconfig configuration files.
