## editorconfig-emacs 0.4+git20151028.3835e4

=== debian/changelog ===
editorconfig-emacs (0.4+git20151028.3835e4-1) unstable; urgency=medium

  * Initial release. (Closes: #711695)

 -- Thomas Koch <thomas@koch.ro>  Wed, 04 Nov 2015 18:45:58 +0100
