=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_install:
	dh_install
	dh_elpa

override_dh_auto_build:
# NO-OP to ignore upstreams Makefile
