=== debian/changelog ===
editorconfig-emacs (0.7.12-1) unstable; urgency=medium

  * new upstream version (Closes: 865332, 859011)
  * update Vcs-* tags, alioth->salsa
  * update Standards-Version 3.9.6->4.1.5, no changes needed
  * mv editorconfig from Depends: to Recommends:
  * update debhelper 9->11

 -- Thomas Koch <thomas@koch.ro>  Sun, 22 Jul 2018 17:58:52 +0200

editorconfig-emacs (0.4+git20151028.3835e4-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Fri, 01 Jun 2018 20:53:41 -0300
