=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: editorconfig-emacs
-Section: editors
-Priority: extra
+Section: lisp
+Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Thomas Koch <thomas@koch.ro>
-Build-Depends: debhelper (>= 9), dh-elpa
-Standards-Version: 3.9.6
+Build-Depends:
+ debhelper (>= 11),
+ dh-elpa,
+ cmake,
+Standards-Version: 4.1.5
 Homepage: https://github.com/editorconfig/editorconfig-emacs
-Vcs-Git: git://anonscm.debian.org/pkg-emacsen/pkg/editorconfig.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-emacsen/pkg/editorconfig.git/
+Vcs-Git: https://salsa.debian.org/emacsen-team/editorconfig.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/editorconfig
 
 Package: elpa-editorconfig
 Architecture: all
-Depends: ${misc:Depends}, editorconfig
-Recommends: emacsen-common (>= 2.0.8), emacs
-Enhances: emacs, emacs24
+Depends: ${misc:Depends}
+Recommends: editorconfig
+Enhances: emacs
 Description: coding style indenter for all editors - Emacsen plugin
  EditorConfig helps developers define and maintain consistent coding
  styles between different editors and IDEs. The EditorConfig project
