=== debian/changelog ===
editorconfig-emacs (0.7.14-1) unstable; urgency=medium

  * new upstream version
  * update Standards-Version 4.1.5->4.3.0, no changes needed

 -- Thomas Koch <thomas@koch.ro>  Wed, 23 Jan 2019 06:36:09 +0000
