=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper (>= 11),
  dh-elpa,
  cmake,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: https://github.com/editorconfig/editorconfig-emacs
 Vcs-Git: https://salsa.debian.org/emacsen-team/editorconfig.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/editorconfig
