=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	dh_elpa

override_dh_auto_build:
# NO-OP to ignore upstreams Makefile

override_dh_auto_test:
# gbp fails with debian/patches in git submodule, so I need to "patch" here
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	sed -i '/utf_8_char/d' core-test/glob/CMakeLists.txt
	dh_auto_test
endif
