=== debian/tests/control ===
Test-Command: make test
Depends: editorconfig

Test-Command: make test
